Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlDefinitionsSet

    java.lang.Object
      |
      +--org.apache.struts.tiles.xmlDefinition.XmlDefinitionsSet

public class XmlDefinitionsSet
extends java.lang.Object

A set of definitions read from XML definitions file.

Field Summary
`protected java.util.Map` | `definitions` Defined definitions.

Constructor Summary
`XmlDefinitionsSet()` Constructor.

Method Summary
`void` | `extend(XmlDefinitionsSet child)` Add definitions from specified child definitions set.
`XmlDefinition` | `getDefinition(java.lang.String name)` Get requested definition.
`java.util.Map` | `getDefinitions()` Get definitions map.
`void` | `putDefinition(XmlDefinition definition)` Put definition in set.
`void` | `resolveInheritances()` Resolve extended instances.
`java.lang.String` | `toString()` Get String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### definitions

    protected java.util.Map definitions

  Defined definitions.

Constructor Detail

### XmlDefinitionsSet

    public XmlDefinitionsSet()

  Constructor.

Method Detail

### putDefinition

    public void putDefinition(XmlDefinition definition)

  Put definition in set.

  Parameters:
    `definition` - Definition to add.

### getDefinition

    public XmlDefinition getDefinition(java.lang.String name)

  Get requested definition.

  Parameters:
    `name` - Definition name.

### getDefinitions

    public java.util.Map getDefinitions()

  Get definitions map.

### resolveInheritances

    public void resolveInheritances()
                             throws NoSuchDefinitionException

  Resolve extended instances.

    `NoSuchDefinitionException`

### extend

    public void extend(XmlDefinitionsSet child)

  Add definitions from specified child definitions set. For each definition in child, look if it already exists in this set. If not, add it, if yes, overload parent's definition with child definition.

  Parameters:
    `child` - Definition used to overload this object.

### toString

    public java.lang.String toString()

  Get String representation.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation